## mingw-w64-butler-15.25.0-1.src.tar.zst

=== Makefile ===
PKG := github.com/itchio/butler
BUILDINFO_PKG := $(PKG)/buildinfo

VERSION ?= head
COMMIT := $(shell git rev-parse HEAD)
BUILT_AT := $(shell date +%s)

LDFLAGS := -X $(BUILDINFO_PKG).Version=$(VERSION) \
           -X $(BUILDINFO_PKG).Commit=$(COMMIT) \
           -X $(BUILDINFO_PKG).BuiltAt=$(BUILT_AT) \
           -w -s

.PHONY: build install test clean

build:
	CGO_ENABLED=1 go build -ldflags "$(LDFLAGS)" -o butler .

install:
	CGO_ENABLED=1 go install -ldflags "$(LDFLAGS)" .

test:
	go test -v -race -cover ./...

clean:
	rm -f butler

=== PKGBUILD ===
# Maintainer: Sarah Ottinger <schalaalexiazeal@gmail.com>

_realname=butler
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=15.25.0
pkgrel=1
pkgdesc='Command-line itch.io helper (mingw-w64)'
arch=('any')
mingw_arch=('mingw64' 'ucrt64')
url="https://github.com/itchio/butler"
msys2_references=(
  'aur: butler'
  'purl: pkg:golang/github.com/itchio/butler'
)
license=('spdx:MIT')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc" "${MINGW_PACKAGE_PREFIX}-go" "git")
source=("https://github.com/itchio/butler/archive/v$pkgver/${_realname}-${pkgver}.tar.gz")
sha256sums=('da703ec8e7d41e62752806e6e927612b196051766376d3692d1de9cce6bd56a4')

build() {
  cd "${srcdir}/${_realname}-$pkgver"
  ${MINGW_PREFIX}/bin/go build
}

package() {
  cd "${srcdir}/${_realname}-$pkgver"
  install -Dm755 butler.exe "${pkgdir}${MINGW_PREFIX}/bin/butler.exe"
  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
